GNU bug report logs - #42777
28.0.50; Obsolete eldoc-message function used in CEDET

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; dated Sun, 9 Aug 2020 15:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 1 Sep 2020 18:57:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 14:57:57 2020
Received: from localhost ([127.0.0.1]:57313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDBTh-0004BE-Bm
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 14:57:57 -0400
Received: from mail-ej1-f53.google.com ([209.85.218.53]:41133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kDBTg-0004B2-2J
 for 42777 <at> debbugs.gnu.org; Tue, 01 Sep 2020 14:57:56 -0400
Received: by mail-ej1-f53.google.com with SMTP id lo4so3183684ejb.8
 for <42777 <at> debbugs.gnu.org>; Tue, 01 Sep 2020 11:57:55 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=nS7IP7cytSOViw4zTXQsNyYld5LGtMq2Lk3lD5SZPXc=;
 b=CxYvxlsnBhXtAtTHQhLmg1dWOugJCWF9JHx0V9adg3FFiA8zHmZ17UkEcHcqoX/XrQ
 tgZELk1Isi+8CmMyUK/4yBV2sH12B5GqNKZTCzSGMaum3drr0Z1Nk5RHuHrD7qA4/+Xw
 u+CqUah1f1JWI8SRc0JH34tZsy25fPFPsrk99ZIlVcfobrcj8vQEf+qnfF4GSfYJH/97
 WXogevJ81IR7rPpDYhKhISkK+QsPgKe8d74Dzj83AUpbYoFeHq1iUpH24fMxEW8Zq25Y
 mfQXzXS+pnCfCiszkJiH/UsxeiuCQhdihKTXopfr+7y7VonwVKUELF3hgaHVJxl91YCl
 0YFA==
X-Gm-Message-State: AOAM533WR43KpvipKKd0aR1gzBq0juq2CxC3XUYRTFZ2fyrLmND8+ebb
 jlLuaquVRrUEItbYkqhviCTQPj+ll3nJoozhnEQ=
X-Google-Smtp-Source: ABdhPJyBzf0AOsPzKpGjjD6/ECyxCV7hsvMP22NRT+kS5KIFXn1P8Cug/nlBmVxr0o8XgM8GpFOLWyUEQwOMOeBYEWE=
X-Received: by 2002:a17:906:3a02:: with SMTP id
 z2mr2818024eje.287.1598986670098; 
 Tue, 01 Sep 2020 11:57:50 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 1 Sep 2020 11:57:49 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87zh69pdb8.fsf@HIDDEN>
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN> <87blisrvb1.fsf@HIDDEN>
 <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
 <877dtgruku.fsf@HIDDEN> <874kokhrbb.fsf@HIDDEN> <87wo1dd1p3.fsf@HIDDEN>
 <87zh69pdb8.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 1 Sep 2020 11:57:49 -0700
Message-ID: <CADwFkmkHeku8RMvyJvg0UppQTFz1b1BR+OnGrkgQQgVdRRp2bg@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>, 
 Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> That's my view as well.  So what's missing perhaps is that we close this
> bug and open another bug, as was Stefan Kangas' suggestion, to track the
> integration work.  WDYT?  Or maybe we should just leave this bug as that
> record, since it's where all the investigation done so far is
> registered anyway.

I don't have any strong feelings about it, but I think we could keep
this bug report as is.

My main concern was that this piece of information would be buried in a
long sub-thread of an unrelated issue.  But that doesn't seem to be the
case here if obsoleting that file is indeed the solution we're going for.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 1 Sep 2020 18:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 14:22:33 2020
Received: from localhost ([127.0.0.1]:57249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDAvQ-0003GN-PQ
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 14:22:32 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:54350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kDAvN-0003G6-Gt
 for 42777 <at> debbugs.gnu.org; Tue, 01 Sep 2020 14:22:31 -0400
Received: by mail-wm1-f54.google.com with SMTP id s13so2068941wmh.4
 for <42777 <at> debbugs.gnu.org>; Tue, 01 Sep 2020 11:22:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=QV2FlJz3je2ZLDZthdR7UnmdmhPVl6XmCanjObxiOEc=;
 b=jOC20ZSg4DxX0W9hhvo+wlqBcI+u1UE12kVEfHa8AJgNh6moibcEBAbDby1ZpcUIJN
 1RY6oyFlOfgMEifly9wgodftD4ewRuPMLnpe3ywL4bdwpXs3kZicP8MrdQyB8hfCpyPH
 eGBfdulv0Dx6Mup3QL4w8IuzUZdr0R8no2tMQ2U6l8VSCzy9Ksn80uf75Qicb+kbkrL5
 zTV6jEX+T87ATNsb1dhH84eyeKOPh2wN44DttWBZukyUrY4AjNRgwXibOGYmeYy1VaOT
 tzNAyaTVsg5VUl++fXnBkSfv9FncCqk3H1dvucda3IR6MbXUe0rTpZM9qYK0bqOJD6Pf
 irZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=QV2FlJz3je2ZLDZthdR7UnmdmhPVl6XmCanjObxiOEc=;
 b=PCP8JdnoFO5+DcQXHT4/sXRrPbDN/6uwPUrKDPQNMeafVALJx7I3bMZE/bzCsTI/IJ
 IECmpXwWY2pqpNRslHGiz/rZ4V+vB8yuraeHdEDIFYaBwgoDPmFwo3TQgU11MhrItN4S
 2CrHtLB4HdB28YdpXhKM/lAjeuwvmIzdTw41ws1UsrQ7IjATaDY72P6ecqvF06yvfzh9
 ZhFCuADlqI5FXT1BlBqy4kJMTqUKF9gtIITcAfZ/eW4+6hXuX5nNyxx7Fz/N7b1MDT4W
 AiVABbVydS7+DNget5IdHjlP1IzGYUIwA8qgForI2sRTeZXONEX14pY5Z8j4o8145Ie+
 cPwQ==
X-Gm-Message-State: AOAM533cfFiy2N33/BmvPt7GOsOs1Cryc/8MHWG5bWqYJqJoFdmOmQi+
 STVNRlJp4So72tTmM2hP7roFp/F3+aRyLw==
X-Google-Smtp-Source: ABdhPJweMcFV+I70XbKLPoll/dj+ySF7gvMmyelcXrKCyk22S0RL9M96yHhjb6h/3MHp6bhmAAe6nA==
X-Received: by 2002:a1c:9dd5:: with SMTP id g204mr2899052wme.162.1598984543327; 
 Tue, 01 Sep 2020 11:22:23 -0700 (PDT)
Received: from krug (77.68.108.93.rev.vodafone.pt. [93.108.68.77])
 by smtp.gmail.com with ESMTPSA id f3sm2652339wmb.35.2020.09.01.11.22.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Sep 2020 11:22:22 -0700 (PDT)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
 <87blisrvb1.fsf@HIDDEN>
 <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
 <877dtgruku.fsf@HIDDEN> <874kokhrbb.fsf@HIDDEN>
 <87wo1dd1p3.fsf@HIDDEN>
Date: Tue, 01 Sep 2020 19:22:19 +0100
In-Reply-To: <87wo1dd1p3.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 01 Sep 2020 16:14:00 +0200")
Message-ID: <87zh69pdb8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:
> Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:
>
>> That's true.  But look, the real underlying problem we have in our code
>> that there is code in CEDET's idle.el that needlessly duplicates and
>> uses implementation detail of the ElDoc infrastructure.  The real fix to
>> this bug is _integration_, and integration is hard and takes time.=20
> Indeed.  And meanwhile the warning should stay.

We agree then.

>> In parallel, in my opinion, there is little point in having 0 warnings
>> globally.  Maybe that is the policy in the Emacs repo, but in my opinion
>> I'd rather investigate "positive deltas" in warning count.
>
> No, that's not the policy, as far as I know: Warnings stay in until the
> problem is fixed, one way or another.

That's my view as well.  So what's missing perhaps is that we close this
bug and open another bug, as was Stefan Kangas' suggestion, to track the
integration work.  WDYT?  Or maybe we should just leave this bug as that
record, since it's where all the investigation done so far is
registered anyway.

Jo=C3=A3p




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 1 Sep 2020 14:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 10:14:15 2020
Received: from localhost ([127.0.0.1]:56621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kD739-0002h6-9l
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 10:14:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kD735-0002gp-HP
 for 42777 <at> debbugs.gnu.org; Tue, 01 Sep 2020 10:14:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=SHgGFwpdaW3pZDVYkyzZ+F3hwTY3uUb0XXGUoGYQWDo=; b=sR9eScbGi5sjWSrnayNQ9epaOF
 5xO4TPOXvt0WLNOBhLCVp1/CwIf70ifhaK6AnvKiF4v98ML16ORpIs8SF23cFVyXrwAIIMdwts9yq
 RxuL2gZUNFfluHLqF/ckj0Eq+i1XOVnwed3inr6rqBvFPcannd8WNAl729Jk+dtnGNOg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kD72v-0002I0-DP; Tue, 01 Sep 2020 16:14:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
 <87blisrvb1.fsf@HIDDEN>
 <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
 <877dtgruku.fsf@HIDDEN> <874kokhrbb.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEWNcHFWLTE3ChCt
 k5Lby8YfAAD///+vu6zwAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+QJAQ4MKok9XfAAAAG3SURBVDjL
 dZRLltwgDEWFwXPAVXNQl+fQsACfoAVUnJP9byVgwJ92hYEHujxJ6GMAAI3Xo6CcEIJjF7tkaJUq
 IIQzsUxFSlRBGA4ATCQmXQNujyNhWrSlrjicgUyzoZA6CE1iJIyGKABQ/pbjN/sMXCkilrOiTjaJ
 BW9F0qvVG0h7FAPPB33b8kDqElfAFyAFxbK6gtR9SfYVFjaX7PguKY90o4ibHeGvFU2S8zJc0bLW
 9yCusUpyEClfqVUnA3w3XxqZj4s+wByrr8EqRw4PgK8GjI3Jn4Gtvrx5096ADcwNqD8pjhcgGngt
 vcoV4KPmO4gl4AW8KhiDd+sHwDV5/xEocv8DweOn4JL4FbR0nYzTD9AeKMWUGzx8KMlUXJ1AL+Ib
 eDiDveyGR6lRXRpVgDaPyEY099YaQ78U2udpGLbY+S6l37nBGzgGa8iA06DQlNJXe5sFgxMttkoO
 QZ4Cq02i7yo5ZrcUY0AeSasZGjhG9zmBSJJZtkK3+7oexrlsWTiDGM57axnPZclX9x3s5bYy+bwA
 id/WGU1yxT/82OZCuLc83X8Z2Z0IEOFuL2nzkAEovB/1DziVspmDzhX9AAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIwLTA5LTAxVDE0OjEyOjQyKzAwOjAw96/xcAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MC0wOS0wMVQxNDoxMjo0MiswMDowMIbyScwAAAAASUVORK5CYII=
X-Now-Playing: Riow Aral's _Beat Bracelet_: "Compress"
Date: Tue, 01 Sep 2020 16:14:00 +0200
In-Reply-To: <874kokhrbb.fsf@HIDDEN> (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vor?=
 =?utf-8?Q?a=22's?= message of "Sun, 30 Aug 2020 20:22:32 +0100")
Message-ID: <87wo1dd1p3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  João Távora <joaotavora@HIDDEN> writes: > That's true.
    But look, the real underlying problem we have in our code > that there is
    code in CEDET's idle.el that needlessly duplicates and > uses implementation
    detail of the ElDoc infrastructure [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> That's true.  But look, the real underlying problem we have in our code
> that there is code in CEDET's idle.el that needlessly duplicates and
> uses implementation detail of the ElDoc infrastructure.  The real fix to
> this bug is _integration_, and integration is hard and takes time.=20

Indeed.  And meanwhile the warning should stay.

> In parallel, in my opinion, there is little point in having 0 warnings
> globally.  Maybe that is the policy in the Emacs repo, but in my opinion
> I'd rather investigate "positive deltas" in warning count.

No, that's not the policy, as far as I know: Warnings stay in until the
problem is fixed, one way or another.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 19:23:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 15:23:03 2020
Received: from localhost ([127.0.0.1]:50770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCSut-0002oW-93
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 15:23:03 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:37397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kCSur-0002nn-BU
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 15:23:01 -0400
Received: by mail-wm1-f45.google.com with SMTP id x9so3466212wmi.2
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 12:23:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Mut6GyX5vNxlDcez3JlRNqSIc5E8uNCehSsEY2uXKWc=;
 b=ZstmhSfqci65H98cQFjA5fzyTrEL0KkxUmKQjtGFCp0KlJOYOxplW6T0w5/m2Qy9q+
 j1QZgpUTJjheq19z/r+mTKK/GM5VlgVzWuZEvN3WIaLdke6E8f7LwSwYJTOit0RnPyQ6
 kHYANFW+eYBNGn1Laj4P8ka66Ic3BbVQdnFjb1WJ+5GQ4OAeGCshkUZrf49ZDJjL6673
 jmwIJx01xTxJnDalHrp+h1Cwi82oRwBdeZDxNcaFmHfKs2BfjuiowwYVjfLnojI3QJ3f
 r8mclttCHX85Lo0Tp4zXSfXoiO651qYlycdlpa/KMqK/3yciPoW8rBsEBp0Q7cvT/hPr
 RdYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Mut6GyX5vNxlDcez3JlRNqSIc5E8uNCehSsEY2uXKWc=;
 b=Ynwpek6q5aXSTSvnlBb15iTYP5zzQCenx8IcnZxCx9C8blEf6AhAeEx17qzXYj7X9N
 fTBEMd9ylSIv+dShfLNs4manHYHd5u16wly3jHbw4HyaUGNYxYPMybyRolx//Yh42kV/
 z9SzKrxgMguii/qYIQz6ZHAo6kuFcUL+BoHF3t+qmnJiysW+hRW1gR5EQ0/ZZEcAv7Vn
 Kl0R5Wh4i7oJzb20FM6sLqUJSREVC3LqNzPQ/XS/KrJ0zWcrqZqNaF84f5diYldLAqer
 g5Y78vX9Ep1k1QqfTf/LnSt61NN73bSrBUGujAxgIEC5wRso/96REGDUoTxzq319LmA3
 bNRg==
X-Gm-Message-State: AOAM530P301mRKAq9AxZ/fpc0nyAjkZxiQk6CFGmLdDsOZc4HO81Czx6
 MRjY+foChujkTKL/H52OvFnqHjbU4vA=
X-Google-Smtp-Source: ABdhPJzhIDPMco7ye5M7mpEzCFKTOgo6So9PRlOnfQvXhRLnXfFFOZNkSZ4XgvaJ8fKx7ikrfmb5iQ==
X-Received: by 2002:a1c:1bc2:: with SMTP id b185mr8663179wmb.168.1598815375308; 
 Sun, 30 Aug 2020 12:22:55 -0700 (PDT)
Received: from krug (155.220.137.78.rev.vodafone.pt. [78.137.220.155])
 by smtp.gmail.com with ESMTPSA id h5sm6710157wrc.45.2020.08.30.12.22.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 30 Aug 2020 12:22:54 -0700 (PDT)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
 <87blisrvb1.fsf@HIDDEN>
 <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
 <877dtgruku.fsf@HIDDEN>
Date: Sun, 30 Aug 2020 20:22:32 +0100
In-Reply-To: <877dtgruku.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 30 Aug 2020 18:01:53 +0200")
Message-ID: <874kokhrbb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:
>
>> Not without _any warning_. I'm only supressing the obsoletion warning. I=
f you
>> remove a function you should in principle get another warning.
>
> That's true, but only after removing it.
>
> Suppressing obsoletion warnings in in-tree code is counter-productive,
> in my opinion.  (The exception is code in lisp/obsolete, of course.)

That's true.  But look, the real underlying problem we have in our code
that there is code in CEDET's idle.el that needlessly duplicates and
uses implementation detail of the ElDoc infrastructure.  The real fix to
this bug is _integration_, and integration is hard and takes time.=20

In parallel, in my opinion, there is little point in having 0 warnings
globally.  Maybe that is the policy in the Emacs repo, but in my opinion
I'd rather investigate "positive deltas" in warning count.  The warnings
in this case point and mark the problem described above.  We could leave
them until someone (maybe CEDET's author) either does the integration
work, or moves idle.el to lisp/obsolete.

Jo=C3=A3o





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 16:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 12:02:09 2020
Received: from localhost ([127.0.0.1]:50628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCPmT-0006bA-K1
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 12:02:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kCPmS-0006av-96
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 12:02:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=jKHgVBPhR8XGZ2cr4ogm+/kMWauqXUgKJlCD4B9y2Bc=; b=lfyDWcFuGKqvrWi5xPuajiIifC
 3gBI8DcaxrcuqOovK88LMbKDBzZMapZvFpako/WF5RNSHjyi7NnLLj1IxNxmgAy8uYg2uaE9mgrXb
 ZNekNej70T4yrr4fELqat0t9FkmNEIIUa1qM1aaxYSbgZ8wjrUjyxAfr92KHeMK3Pex4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kCPmG-0002rj-6s; Sun, 30 Aug 2020 18:02:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
 <87blisrvb1.fsf@HIDDEN>
 <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWRiXVaWVfSx57/
 ///M2nF1AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QIHhAALgFHNuYAAAHESURBVCjPRdHNitswEADg
 sbGK1yfXRFB6ckpTVD2FYuKy65NiNKHsbQuFbJ8iDlEJOS2FXHJywgaUecqOs4HVRfqY0d8MRBYA
 iq2mVR7BGDIVih2RThHu4x3p5ECBaA/qy4nMcUcn6gUo0gEuqd6REqCJ+hCqwLMcsKbrCB7+EB3e
 QJy2o+IdFB5v4D2nix5WJwoTUDC+BS5jRnmNkO470BDR6uNXohVEsARedDHfXHpoKj65y5QCxUj1
 mnzb52bl4f4uqEY+CmMSAcukor/ykzU2nGGZltDL0YNz5OFZIFoUzw5TAUZWHWLt4pAgoKNQo1vo
 /kkydJCcSVvLkYqO0jECMhrqpgv5i3rJKOj8c7GfXCNz1HtjxLQ54hws2lk0F4uRHPYIa4T1ibyi
 dPziyewOIoZJcvNtYlO4MNbb7+bD66KHREKdpseX+FUSQQ11u94U8RGb4M9Qu1y2+ozcSw9OOteQ
 x3aVeTAvozZn5OXJw6iXDRw8Fv/427Oy1stsj3bAbzVTS7VB/MwtmaZPSsUbyWcjmOlDmWkvsO0Q
 qqgqMeMCWSHBwo+1bDwDJLgiJf4KYgtD3bbXWqGbcg1kuGGO/wFnPsddEQgTpAAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMC0wOC0zMFQxNjowMDo0NiswMDowMIzXJZgAAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjAtMDgtMzBUMTY6MDA6NDYrMDA6MDD9ip0kAAAAAElFTkSuQmCC
X-Now-Playing: Green Gartside's _Tangled Man_: "Tangled Man "
Date: Sun, 30 Aug 2020 18:01:53 +0200
In-Reply-To: <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
 (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vora=22's?= message of "Sun, 30 Aug 2020
 17:00:07 +0100")
Message-ID: <877dtgruku.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  João Távora <joaotavora@HIDDEN> writes: > Not without
    _any warning_. I'm only supressing the obsoletion warning. If you > remove
    a function you should in principle get another warning. That's true, but
   only after removing it. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> Not without _any warning_. I'm only supressing the obsoletion warning. If=
 you
> remove a function you should in principle get another warning.

That's true, but only after removing it.

Suppressing obsoletion warnings in in-tree code is counter-productive,
in my opinion.  (The exception is code in lisp/obsolete, of course.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 16:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 12:00:27 2020
Received: from localhost ([127.0.0.1]:50620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCPkp-0006Y5-09
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 12:00:27 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:37880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kCPkn-0006Xu-KS
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 12:00:26 -0400
Received: by mail-io1-f45.google.com with SMTP id b16so3658859ioj.4
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 09:00:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=m2NWkptv6gtHt6eDdQUlZoILdXj2Eh0R0Zt5lpRpj8Q=;
 b=VRdLugvPW8sO70WSJpCPOJu1XhBY9roldZHCG2nIlANmhi/KST76Tb0LRDxgiTOVpM
 96b/nS/jyYDSP+Et9rzo4LMsXs+ik3GMi+TKrTShjUKGwNBNTpeJFG0CnUtByX/O2Hrv
 iRBWq0ze+Ro9+dDy7k8ctar7y2a1Ar1LRjdWF4QD6H65T17JvWJmZJeNGTqNyyCjYZE6
 O3e7xMjk+AS/Q9KG8w6a9j7/st8ziFO9zwfivPxYOazx8BCEFLiytS2OR4qfvg9yiLhP
 fRBcRuUwKsGIk9d/+7qkb+6mj36MMLxNUvqf/fnKSX9MC2pxDcyKMmHjgXkvF8Y+Sq7n
 ygEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=m2NWkptv6gtHt6eDdQUlZoILdXj2Eh0R0Zt5lpRpj8Q=;
 b=W7LqMxzd7yFqSEcJgHUlWjXZ3TItbuDunEzqxITLGJZu9o5uoaENSjnV21V8urql54
 C+7Cq7eSJ8wQZRoOGprnGVcC8N7/yqktvwhR+Q+LxtO/oOcwNX2ULkkO7Ql/UrZ0T2Mj
 Z/UhjlvWE+MMgDNUtPqOjv+AeS/mKNR1zsebzATDBn3b4CW23Pg2963gQe92S2NKJK1y
 H3X9Ap4z4nsF244iAoeNSUOMRtOyFSZ4ny665P3LoxFIYCc7Pnau3+E9B9ghBzvOfT/H
 CYNRp7faz5ozSmz5Gw3Iu+Pa5cZBfz+jaizvn76DJDG2sN4CQdFryreSok8MnJoqzCaU
 PwKA==
X-Gm-Message-State: AOAM531xbPOxf1QoOvAYbyMu+1U2CkcIWoDDTfhxDB8v2skOIqkZRh67
 riCoxU3JzcBHItNMu3UqJuRJkJSYfBoxuuYI+CnbTO3A
X-Google-Smtp-Source: ABdhPJwzZZAp2vxpHPmAvEa40N9lNy2lByjx+0TKzMr4ob133nRxWlM6eXYTQtvttenX11DT4OVKOspTAxH2UwjZTmc=
X-Received: by 2002:a02:a48d:: with SMTP id d13mr6437532jam.71.1598803219921; 
 Sun, 30 Aug 2020 09:00:19 -0700 (PDT)
MIME-Version: 1.0
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN> <87blisrvb1.fsf@HIDDEN>
In-Reply-To: <87blisrvb1.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 30 Aug 2020 17:00:07 +0100
Message-ID: <CALDnm524M489_p0jJxkjpwz=Y1ApVmAnj-A77oBffeakaw9yKA@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000fd415405ae1a613e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000fd415405ae1a613e
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 30, 2020, 16:46 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:
>
> > Anyway, the solution with less risk here is to use
> > with-supressed-warnings
>

Hm...  I don't think that's a good idea.  We shouldn't suppress warnings
> that point to actual problems, like this one does: eldoc-message will be
> going away some day, and then idle.el will stop working (without any
> warning).



Not without _any warning_. I'm only supressing the obsoletion warning. If
you remove a function you should in principle get another warning.

Jo=C3=A3o

--000000000000fd415405ae1a613e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D=
"gmail_attr">On Sun, Aug 30, 2020, 16:46 Lars Ingebrigtsen &lt;<a href=3D"m=
ailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;p=
adding-left:1ex">Jo=C3=A3o T=C3=A1vora &lt;<a href=3D"mailto:joaotavora@gma=
il.com" target=3D"_blank" rel=3D"noreferrer">joaotavora@HIDDEN</a>&gt; w=
rites:<br>
<br>
&gt; Anyway, the solution with less risk here is to use<br>
&gt; with-supressed-warnings<br></blockquote></div></div><div dir=3D"auto">=
<br></div><div dir=3D"auto"><div class=3D"gmail_quote"><blockquote class=3D=
"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding=
-left:1ex">
Hm...=C2=A0 I don&#39;t think that&#39;s a good idea.=C2=A0 We shouldn&#39;=
t suppress warnings<br>
that point to actual problems, like this one does: eldoc-message will be<br=
>
going away some day, and then idle.el will stop working (without any<br>
warning).</blockquote></div></div><div dir=3D"auto"><br></div><div dir=3D"a=
uto"></div><div dir=3D"auto"><br></div><div dir=3D"auto"></div><div dir=3D"=
auto">Not without _any warning_. I&#39;m only supressing the obsoletion war=
ning. If you remove a function you should in principle get another warning.=
</div><div dir=3D"auto"><br></div><div dir=3D"auto">Jo=C3=A3o</div></div>

--000000000000fd415405ae1a613e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 15:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 11:46:25 2020
Received: from localhost ([127.0.0.1]:50605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCPXF-0006Di-06
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 11:46:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kCPXD-0006DV-2n
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 11:46:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=5uYmLmqrrO1MbulS+IEUUY4nYGvyxZ+6py/CwAdEx5Y=; b=TR4Xgk4ciiOWhUraU0zi2LotSZ
 MD5ctQ6PxjyYP2CtJDZeoRz2Oof1CcDZmxHe0dZVqWBq6JqwSFWzJFYRpRNMo7UCb+V00bbpOaPfN
 zAFCwF6oT6bc4dUP5pZaTkVl9QTG2xApq9AaN/FMKGNfn4h0weicTLKuLaBaKZgwFuuU=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kCPX2-0002fd-2k; Sun, 30 Aug 2020 17:46:15 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAMFBMVEWRKzaKJjGFIix+
 ISuEHCeTXGJfUFSNPkYoJis/PkD2+PfR0dGmpaWBf395GiT///+Gr9sTAAAAAWJLR0QPGLoA2QAA
 AAd0SU1FB+QIGQcyMJKG0rgAAAF6SURBVDjLdZPBccIwEEVFB7HGDexCBTjnHBifc4JkBnL2mEmO
 pAfTABO1YFJBoAM7XeSsGrIrybKExR+whR6r1f+WhYg1y6ykeLA/6evm0EpAFglxBJCYNgDdqhGY
 E+AZSWMJGAIEAlLijebC/F1mCcC3SQGD6eSwFCKkQVSy8j7c7snlzCQVAap6qZwOIQAJdXOsVFU3
 TQjIMtRHVe2rvVIhoBjz7cVpHVYg5Lu+764dXTwAYOP5GwP6vK99utQA5YJAf/398BUmXbrnu8vZ
 tPgZKzhZmW9bA9p2rLDaqxPb+xp8DIANKqWqJgS03Yx21d34sAlSD6ewB/X3IKgg3+jBOVpK4nQp
 ioT9eRA0B360GTk36vvROT9MSvdiKr7bsDlb+dwYvW4OQQ+Oa1E6raKKQePYhzg9cOb4J46prchS
 gF+CxMk2kcRvn1HhlpJJAInehVjeGLCbvQuKAeAUFI9lSUPKCsuVDWu+LAottNOT1n/6WXsJfUf/
 weENXe7UOlUAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDgtMjVUMDc6NTA6NDgrMDA6MDAQ2dwh
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA4LTI1VDA3OjUwOjQ4KzAwOjAwYYRknQAAAABJRU5E
 rkJggg==
X-Now-Playing: Coil's _Astral Disaster Sessions vol. 2 (Unfinished Musics)_:
 "The Mothership and the Fatherland (early mix)"
Date: Sun, 30 Aug 2020 17:46:10 +0200
In-Reply-To: <87d038i566.fsf@HIDDEN> (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vor?=
 =?utf-8?Q?a=22's?= message of "Sun, 30 Aug 2020 15:23:13 +0100")
Message-ID: <87blisrvb1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  João Távora <joaotavora@HIDDEN> writes: > Anyway, the
    solution with less risk here is to use > with-supressed-warnings, which is
    what the attached patch does. Hm... I don't think that's a good idea. We
   shouldn't suppress warnings that point to actual problems, like this one does:
    eldoc-message will be going away some day, and then idle.el will stop working
    [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> Anyway, the solution with less risk here is to use
> with-supressed-warnings, which is what the attached patch does.

Hm...  I don't think that's a good idea.  We shouldn't suppress warnings
that point to actual problems, like this one does: eldoc-message will be
going away some day, and then idle.el will stop working (without any
warning).

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 14:56:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 10:56:38 2020
Received: from localhost ([127.0.0.1]:50517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCOl4-00050a-1h
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:56:38 -0400
Received: from mail-yb1-f180.google.com ([209.85.219.180]:41944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kCOl2-00050K-OD
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:56:36 -0400
Received: by mail-yb1-f180.google.com with SMTP id h20so2547724ybj.8
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 07:56:36 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=2+Y8WdL6DCwwX6XIKvMTZFB8X7drO8p0FNJMdPpXZaI=;
 b=C43LVgqkbEBlbXlmGwFa4h7iPTMs1FDsMFpz+v5T/w2MxGRQLnVmcwOI5q4qi0td5h
 njvcXLdldKC3NJidrSIv8RboJRdZ1yy3aHVCiuPO/Yso0nFBCRJqgMuRBOIgZ5ooD+89
 EO+YNILwiKlxRh3GIPZGBa586PWO5wgmk45xtqK6202TKf3j1w7CVn5B96TZZiaFe/Ns
 rl38NqvgdlYqEjhff8Z9QsF4T3UTjh8CAZaAGzCoQFjxntHgn1798FFkDJ82ZDxNuAiJ
 9tnRku3Buc6gpa+X7ue7dIyIT222S+4ZE0Dc2uDHAC6fBtEEpCUxgzt3Pwp9itkm9NFg
 jkAA==
X-Gm-Message-State: AOAM5306T6abpmnug/ZPvZo4HrlTj1tDFW1OUhV/Lh0rtjZBwMimwe5w
 fXmE+sEO0H7/q7c8cOav8Ky60v7yiA5mmsEqBBA=
X-Google-Smtp-Source: ABdhPJw3iD5Zw/J8ACb5d1qX2B47wzsrYjyjX7mj2+X/BZjI9kqmgApQ/qRIJVCWvadFXqUGRcQuG/PAe2qiJnacXds=
X-Received: by 2002:a25:4ed7:: with SMTP id
 c206mr14887788ybb.129.1598799391095; 
 Sun, 30 Aug 2020 07:56:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 30 Aug 2020 07:56:30 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87d038i566.fsf@HIDDEN>
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN> <87d038i566.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 30 Aug 2020 07:56:30 -0700
Message-ID: <CADwFkmmfErF2KenofWHchBgu5dXhbOH2m_o1rRveFhHHLpGt4A@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>, 
 Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> Rather, idle.el is mostly a reimplementation of ElDoc itself which uses
> a substantial amount of ElDoc internals -- and repeats much of its code.
> It is, in my opinion a file to be itself obsoleted.

I'm not familiar with idle.el, but I'd suggest to open a new bug report
to track that work.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 14:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 10:36:30 2020
Received: from localhost ([127.0.0.1]:50491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCORa-0004Vp-Jm
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:36:30 -0400
Received: from mail-io1-f54.google.com ([209.85.166.54]:43169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kCORZ-0004Vb-0H
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:36:29 -0400
Received: by mail-io1-f54.google.com with SMTP id z25so799350iol.10
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 07:36:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=R4seEWUOxOsKZnC6SeRVf6h7BhP2Wj0pOACDEbnuEiE=;
 b=GC+ITyJJPy0KG7Auzf0Cvuwg5ICNGtwph27DKnba5vjAEoLnLFMmlM3VCNmBsuA2Rj
 jYRZsFVHisYjWbZlEWjyllchbJg9pmybYF0PTgosv0TNTpaRI0/oS5+Lw15RFCjj0N7W
 f2BjZbam90j/Djv4YqOk4qfb0TWCTZjbiMEPJTCDqTzC/MeMll7V4K1VWTXgvv5VMJdT
 lkpsxOB8iEN13cP7tPdWzC+8FoBRIkbu4tzSlHi7doSWv+EEjTwtv7uB4MZoPPxQoip6
 IFC/5aNPNJcRgFD2VghSOVObUjfVZq38OKQS3LHTQYSzLwk6/TZGSSox5+TGhlHJujQb
 0eTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=R4seEWUOxOsKZnC6SeRVf6h7BhP2Wj0pOACDEbnuEiE=;
 b=l51KC8/kw2ZNi4n1YYAJzDCVzOdxncxyxUeUCkV6XJADCnsYw1WVg92p1M2nyCwKuL
 rHdFln7a2SInCM5ER0KfTgK+h3UWmB0qnLZ50Hakfaw37lZvZtAQkNFNvIWvHPjYhq8l
 X0vqswLtdqe6CG8CWvELi6A5lvlzpR5h+gw+zwlZrnTeGBZM/Ea3KFGW7YTQYFgb8fk5
 aRiNhnWKC5npA/p1IVRwH8wNEIs90n50AgCjod7gu/hBb+eimMplK2iylx3/p76waoX0
 YlbFeIdPTR7/2cMkoW/VFXshIIuRhc0qX3BmtK6Uu+gZUZqNfGzSrPhj0DhDWjexgI63
 C8kA==
X-Gm-Message-State: AOAM533zsnA+fCb0lcbLzjHpqb24oRB/elOarBZZLUE0BLj21y7hRuDy
 WSFYV21HG+8gbx+JmoA92EY2B74PR+I1x9pifRNq0LhZ
X-Google-Smtp-Source: ABdhPJxET9IN+7u3qM6HWhYMhSI50cO16fCm35JAg+Sa1YhBGjsMEtuDcXc54JV4b7yxne6aniqz0lh69SSL6ShlaWU=
X-Received: by 2002:a02:3f2d:: with SMTP id d45mr8569232jaa.120.1598796649737; 
 Sun, 30 Aug 2020 07:10:49 -0700 (PDT)
MIME-Version: 1.0
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN>
In-Reply-To: <87k0xgs0ay.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 30 Aug 2020 15:10:38 +0100
Message-ID: <CALDnm53Qu8A1JwKCkOfvaG7n-U4kwENAKe4wNRbRtTTx+dYU5A@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000060340405ae18da6b"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000060340405ae18da6b
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 30, 2020 at 2:58 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

>
> It is, but perhaps Eli didn't do a "make bootstrap" to get all the
> warnings.  (The CEDET files don't change that much these days, so
> they're rarely re-compiled.)
>

Maybe also related to the fact the function is forward declared in
the file you pointed to.

Jo=C3=A3o

--00000000000060340405ae18da6b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail=
_attr">On Sun, Aug 30, 2020 at 2:58 PM Lars Ingebrigtsen &lt;<a href=3D"mai=
lto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid r=
gb(204,204,204);padding-left:1ex"><br>
It is, but perhaps Eli didn&#39;t do a &quot;make bootstrap&quot; to get al=
l the<br>
warnings.=C2=A0 (The CEDET files don&#39;t change that much these days, so<=
br>
they&#39;re rarely re-compiled.)<br></blockquote><br></div><div class=3D"gm=
ail_quote">Maybe also related to the fact the function is forward declared =
in</div><div class=3D"gmail_quote">the file you pointed to.</div><div class=
=3D"gmail_quote"><br></div><div class=3D"gmail_quote">Jo=C3=A3o</div></div>

--00000000000060340405ae18da6b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 14:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 10:30:58 2020
Received: from localhost ([127.0.0.1]:50480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCOME-0004Mk-Jw
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:30:58 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:53551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kCOMC-0004MU-AQ
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:30:56 -0400
Received: by mail-wm1-f42.google.com with SMTP id u18so3133953wmc.3
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 07:30:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=rlI3zWqSjT5WOkbgZNA2pQaGp3xtlpORjSDcvTaw3n4=;
 b=R+5eNlifr72IkHM5mvemRj2D+F3y/oAgfKJXZWe+3amU8qgrWE1m56H0Kezp1/5Lw0
 rk29L2/J25Kh/sJDyRpniJ63snN7cgHOvHfJilObCGuuecyV2EGeXrhhCZtKFa0eoPw7
 mHgRaxD8TCDLvN+H/7+XV+c16IJzqjgbVol8MKqUP8yCv0SqEfdWgOcEa7QaW7SgG49Z
 mvL3oV+eYrABZT48oyNmC3Bq4AdqKuiy3xtwHnGVjoxsY9kCRKdNeb3tUWNpv+D1ok2Z
 lA2wWRnl1IAHCxXNFPHMRXRVUc/brwyoJ4LPM9BJeYJEXB9xomQ5/1Cb+g0gK7JnajOm
 qXOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=rlI3zWqSjT5WOkbgZNA2pQaGp3xtlpORjSDcvTaw3n4=;
 b=rwO5fAS0NwzJDTqbNOaeZdGh2fOo6s0gwjKMLUEhq/NmgQC+xJnZ/fo/R0naBUFRAg
 eIFjk5uMssflxynEN/rGaci/TL/5jzTbK4kejslJ5scesYb1g8H/XDttoAgrj7UoL0DG
 1KiyM8XvInDz/JOeH1ZfrTDzTLqYiSyNW/TkjW/J7YIb/KoFoeD/S7OpsrQW1oxClv5G
 cUptmTwF+uB28Uc3kTZt6tO5ZDsWyFQtUlqQFk/oOpC7AUr+uM2nyrZlHVcSQp94aiuh
 rFO2zkZlaAjuXxGL4dM+mNwZuLKPaKgbNfhv8KPgA92gir5EY6ZTzfL0PQNLb7faH3A2
 s8wA==
X-Gm-Message-State: AOAM5320kfBGA4WL3NZexOYK5mXqIAe37Tc8FXuVHMaJD99EuaB+Km2h
 tuWZXsXCkCz3S5m353HyBFtfF1nwvfy0Uw==
X-Google-Smtp-Source: ABdhPJzUk78669bOC0EhNcpQG0gy2tuO61aJghEPrIfaMXESS8N1n+CwRORRNEv+WDiriyakzZ9Y0w==
X-Received: by 2002:a1c:b60b:: with SMTP id g11mr4178940wmf.48.1598797396289; 
 Sun, 30 Aug 2020 07:23:16 -0700 (PDT)
Received: from krug ([89.180.151.132])
 by smtp.gmail.com with ESMTPSA id h8sm7566249wrw.68.2020.08.30.07.23.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 30 Aug 2020 07:23:15 -0700 (PDT)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN>
Date: Sun, 30 Aug 2020 15:23:13 +0100
In-Reply-To: <87k0xgs0ay.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 30 Aug 2020 15:58:13 +0200")
Message-ID: <87d038i566.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> This is odd because I did get a line from Eli to fix some compilation=20
>> after my changes, and these were not among them.  I wonder if this file
>> is always byte-compiled.
>
> It is, but perhaps Eli didn't do a "make bootstrap" to get all the
> warnings.  (The CEDET files don't change that much these days, so
> they're rarely re-compiled.)

Anyway, I just had a look at this.  This isn't the normal situation of
an ElDoc user switching from the old "call eldoc-message directly"
protocol to the new callback-based protocol.

Rather, idle.el is mostly a reimplementation of ElDoc itself which uses
a substantial amount of ElDoc internals -- and repeats much of its code.
It is, in my opinion a file to be itself obsoleted.  Anyway, the
solution with less risk here is to use with-supressed-warnings, which is
what the attached patch does.

Jo=C3=A3o


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Suppress-ElDoc-compiler-warnings-in-lisp-cedet-seman.patch

From 2d951fbe6d5af21c839e2ff7ab89aeabff945621 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jo=C3=A3o=20T=C3=A1vora?= <joaotavora@HIDDEN>
Date: Sun, 30 Aug 2020 15:19:08 +0100
Subject: [PATCH] Suppress ElDoc compiler warnings in
 lisp/cedet/semantic/idle.el

Fixes: bug#42777

* lisp/cedet/semantic/idle.el (semantic-idle-summary-refresh-echo-area)
(semantic-idle-summary-idle-function): Use `with-supressed-warnings`.
---
 lisp/cedet/semantic/idle.el | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/lisp/cedet/semantic/idle.el b/lisp/cedet/semantic/idle.el
index 76218249c5..8f58f53b14 100644
--- a/lisp/cedet/semantic/idle.el
+++ b/lisp/cedet/semantic/idle.el
@@ -768,7 +768,10 @@ semantic-idle-summary-idle-function
 	    (when (> strlen ea-width)
 	      (setq str (substring str 0 ea-width)))))
 	;; Display it
-        (eldoc-message str))))
+        ;; FIXME: stop using ElDoc's internals and just use ElDoc.
+        (with-suppressed-warnings
+            ((obsolete eldoc-message))
+          (eldoc-message str)))))
 
 (define-minor-mode semantic-idle-summary-mode
   "Toggle Semantic Idle Summary mode.
@@ -799,7 +802,10 @@ semantic-idle-summary-refresh-echo-area
 		(not (and (boundp 'edebug-active) edebug-active))
 		(not cursor-in-echo-area)
 		(not (eq (selected-window) (minibuffer-window))))
-           (eldoc-message eldoc-last-message)
+           ;; FIXME: stop using ElDoc's internals and just use ElDoc.
+           (with-suppressed-warnings
+               ((obsolete eldoc-message))
+             (eldoc-message eldoc-last-message))
          (setq eldoc-last-message nil))))
 
 (semantic-add-minor-mode 'semantic-idle-summary-mode "")
-- 
2.25.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 14:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 10:28:42 2020
Received: from localhost ([127.0.0.1]:50476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCOK2-0004Hi-6R
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:28:42 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:38603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kCOK1-0004HU-0H
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:28:41 -0400
Received: by mail-qt1-f181.google.com with SMTP id e5so3053004qth.5
 for <42777 <at> debbugs.gnu.org>; Sun, 30 Aug 2020 07:28:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=smJtChhxL2qSCm/a4zJbYu8T7t80w/p1KaLHLcQ7wJs=;
 b=eunqZf4g73YMM3FtiRB0UVNNBbbYAFHZ5U4ruAj/0YBsMQgdARbVSLRnV//4dGc3MQ
 t/Cma+CYNtWF1umkMXAAsuiPd6RQgrC7I49Z9SbaWWz7UD4ufeToEPonXL11hzULJekr
 9K07VHGQH0gZQt+vmRfy9MRD3OUxMvbvRH85LQt1cQ+ZTVANfvcud6CJvdzA8ota+rTZ
 zVSoYYIyPX9gK79bdjZ8MzNVvZsWub0FY+ZesszXwS5OMpIIsKQWVWkv/bNn4s9C2NWb
 CijgkO/I+MgtrQYKGfLp24EZ7Ou0s6ZqK0SpPYbi8Az9yYL10UMi+aV+xDNOrBtLGuSn
 UMcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=smJtChhxL2qSCm/a4zJbYu8T7t80w/p1KaLHLcQ7wJs=;
 b=XaR5ggOJMGLvwyhrWEgVFUnBGFuJq7w2H7kEddNrFA/GSHnrV3Ztcuh9KQdyMHi5VT
 kaPKJ2AdZSOnzU6LbuVjeu8G9TnkHgw0qTIKhgSEJ0oNAtQvOfUuWc7ImgYULnkHYSDC
 JMjWfNvm2kmOQO0j9zgO4To8pfIVucOQsrQaRC5pot1HRKqDZi8IYZ8KOnqk8BCWLuMa
 kr7SfFIQw4FsILJvxdMJU4hSSRtgPEWF46UQw2KQ6wRxsNy1AsFV7LZoW8YwH61jl2+3
 FpEP4gZs/ZRhN+N5B2iFz0+JHWRKCd4EBHnG+MQ+EIdOabFNV1ANUeT8SEpDJvBftFHp
 RTKw==
X-Gm-Message-State: AOAM531HGNeG+50ZJPRKrvbJMlyiqUiqy93MKaBOYW3QaX7i/11Qc6PC
 e/YqfXHl/LPwdghLcs2zX1YB4QF24/uvuUgI3Savu9JL
X-Google-Smtp-Source: ABdhPJxXDWcePIKK+2vz7wp8BHa1oTlSTLZ7P81SG0AHbClFYAO0MlR1A+Kg6qoq1B92mKuZogcmNnvOx6XsVOokdeo=
X-Received: by 2002:a02:6995:: with SMTP id e143mr8019952jac.78.1598795680599; 
 Sun, 30 Aug 2020 06:54:40 -0700 (PDT)
MIME-Version: 1.0
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
In-Reply-To: <87wo1gs0tw.fsf@HIDDEN>
From: =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Date: Sun, 30 Aug 2020 14:54:29 +0100
Message-ID: <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000009c534e05ae18a0cb"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000009c534e05ae18a0cb
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 30, 2020 at 2:47 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:


> > Lars, you want to fix the compilation warning or something else?  The
> > function is obsolete, but it leep working.  The only "fix" is to follow
> > the advice in the warning message.
>
> If the function is obsolete, all in-tree callers should be fixed.


...unless that code is used in another non emacs-master context. I
seem to recall that having happened with Gnus once.  Let's hope
it's not the case of CEDET, in which case the solution is to shoosh
the byte-compiler in that particular spot.

I'm
> not familiar enough with eldoc to do so, though.
>

No problem, I'll do it.  It's not hard, though, and the docstrings
should guide anyone to do the same.


> > I don't know why this particular compilation warning didn't pop up
> > earlier, I don't recall it.
>
> It's been there ever since you obsoleted eldoc-message, of course.  :-)
>

This is odd because I did get a line from Eli to fix some compilation
after my changes, and these were not among them.  I wonder if this file
is always byte-compiled.

Thanks,
Jo=C3=A3o

--0000000000009c534e05ae18a0cb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">On Sun, Aug 30, 2020 at 2:47 PM Lars Inge=
brigtsen &lt;<a href=3D"mailto:larsi@HIDDEN" target=3D"_blank">larsi@gnus=
.org</a>&gt; wrote:<br></div><div class=3D"gmail_quote"><div>=C2=A0</div><b=
lockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-le=
ft:1px solid rgb(204,204,204);padding-left:1ex">
&gt; Lars, you want to fix the compilation warning or something else?=C2=A0=
 The<br>
&gt; function is obsolete, but it leep working.=C2=A0 The only &quot;fix&qu=
ot; is to follow<br>
&gt; the advice in the warning message.<br>
<br>
If the function is obsolete, all in-tree callers should be fixed.=C2=A0 </b=
lockquote><div><br></div><div>...unless that code is used in another non em=
acs-master context. I <br></div><div>seem to recall that having happened wi=
th Gnus once.=C2=A0 Let&#39;s hope</div><div>it&#39;s not the case of CEDET=
, in which case the solution is to shoosh</div><div>the byte-compiler in th=
at particular spot.<br></div><div><br></div><blockquote class=3D"gmail_quot=
e" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204)=
;padding-left:1ex">I&#39;m<br>
not familiar enough with eldoc to do so, though.<br></blockquote><div><br><=
/div><div>No problem, I&#39;ll do it.=C2=A0 It&#39;s not hard, though, and =
the docstrings</div><div>should guide anyone to do the same.<br></div><div>=
=C2=A0<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0=
px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
&gt; I don&#39;t know why this particular compilation warning didn&#39;t po=
p up<br>
&gt; earlier, I don&#39;t recall it.<br>
<br>
It&#39;s been there ever since you obsoleted eldoc-message, of course.=C2=
=A0 :-)<br></blockquote><div><br></div>This is odd because I did get a line=
 from Eli to fix some compilation <br></div><div class=3D"gmail_quote">afte=
r my changes, and these were not among them.=C2=A0 I wonder if this file</d=
iv><div class=3D"gmail_quote">is always byte-compiled.</div><div class=3D"g=
mail_quote"><br></div><div class=3D"gmail_quote">Thanks,</div><div class=3D=
"gmail_quote">Jo=C3=A3o<br></div></div>

--0000000000009c534e05ae18a0cb--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 14:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 10:27:48 2020
Received: from localhost ([127.0.0.1]:50472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCOJ9-0004G9-RK
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:27:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kCOJ8-0004Fx-Me
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 10:27:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40203)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kCOJ3-0006x1-A6; Sun, 30 Aug 2020 10:27:41 -0400
Received: from [176.228.60.248] (port=2809 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kCOJ1-0001gA-Tk; Sun, 30 Aug 2020 10:27:40 -0400
Date: Sun, 30 Aug 2020 17:27:35 +0300
Message-Id: <83a6ycxl7s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87k0xgs0ay.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 30 Aug 2020 15:58:13 +0200)
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 <87k0xgs0ay.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, stefan@HIDDEN, joaotavora@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 30 Aug 2020 15:58:13 +0200
> Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
> 
> perhaps Eli didn't do a "make bootstrap" to get all the warnings.

I never bootstrap, not on my main development system.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 13:58:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 09:58:24 2020
Received: from localhost ([127.0.0.1]:50428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCNqi-0001Mh-I6
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 09:58:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kCNqh-0001MU-9i
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 09:58:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Nmf0L/S2xIgLIvNnbb0A8hjQRi88mEWfh5VBXzkibQk=; b=C/NYBcOgFpLxyvk/USQS60pCds
 mwJmzATGCxx37oN/Zlt9NmZqpb/YErdg8C0wSA2uo+YGK1WDrdRM1uTiPB0Qc206O4pVIbFCgmxz2
 JHtuLjIHrncKSQm4+Zouem14suDN7G3kEUXigilyPqi03xk/Q1T9srg4WOi0axiewrQM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kCNqY-0001NX-Dx; Sun, 30 Aug 2020 15:58:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN> <87wo1gs0tw.fsf@HIDDEN>
 <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUSDw4qKCc/QT5+
 gHpfX1ysppn///9OVc6wAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+QIHg0pMdz3lNsAAAGISURBVDjL
 lZPJcoMwDIYtwgNILr1jD7l3YrhjEPdMYr//q1TGZGOZTnXBw2dZ+rUo9acB7fyzxloD6YjgWjaN
 T+fCaGuYcbl1jveBh3QqebDLnWSnGG8ZVJUX0KvFpXiCgSRGUyskIgV10cXbOAOPQMYiYNF4Kns4
 C7jMiUimpOWrdU3nXoKEDJIEFBFCbTP9qPIFstVUeZquWyA5KDr16nsFQNItwlSLwpDTfbPWxr7a
 ABRtY7xy4zYeZYwxTNxtQBXjPYxuC5ouBnCuu60AsIvRuHa6rD2Y20GNzq1AObCTdvEawFe8jN0F
 xM1n8OhpEUMxBs3MZhVjCqhNAv7V6LmIlRdnLTH8qiSQOUl3PmcMUB3YBgAeXNaW9gHZ/aehMbQP
 mI7Ap0eavlwkrumVLoAxT5A9snKQSX4+ZempXYZVm0UWNDMARWmKUVG9yAJZwBQTUBYiFZgeenV+
 FaQ0sruyRo8NhuUGzXnhWzFzUrAUntSnLli+lfTXqH8aHvwnPHTR9YGLwV/8Y0JxFkZNUQAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMC0wOC0zMFQxMzo0MTo0OSswMDowMDir/t4AAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjAtMDgtMzBUMTM6NDE6NDkrMDA6MDBJ9kZiAAAAAElFTkSuQmCC
X-Now-Playing: Mega Bog's _Dolphine_: "Spit In The Eye Of The Fire King (by
 Ash Rickli)"
Date: Sun, 30 Aug 2020 15:58:13 +0200
In-Reply-To: <CALDnm52XR4Rg_OVxRA3Lp2E+4qNtDM=L3_6w=ApEz5nwUFOJ1A@HIDDEN>
 (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vora=22's?= message of "Sun, 30 Aug 2020
 14:54:29 +0100")
Message-ID: <87k0xgs0ay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  João Távora <joaotavora@HIDDEN> writes: > ...unless that
    code is used in another non emacs-master context. I > seem to recall that
    having happened with Gnus once. Let's hope > it's not the case of CEDET,
   in which case the solution is to sho [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

> ...unless that code is used in another non emacs-master context. I=20
> seem to recall that having happened with Gnus once.  Let's hope
> it's not the case of CEDET, in which case the solution is to shoosh
> the byte-compiler in that particular spot.

CEDET is mostly in-tree these days.

> This is odd because I did get a line from Eli to fix some compilation=20
> after my changes, and these were not among them.  I wonder if this file
> is always byte-compiled.

It is, but perhaps Eli didn't do a "make bootstrap" to get all the
warnings.  (The CEDET files don't change that much these days, so
they're rarely re-compiled.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 30 Aug 2020 13:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 30 09:47:04 2020
Received: from localhost ([127.0.0.1]:49660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCNfk-0000VM-9O
	for submit <at> debbugs.gnu.org; Sun, 30 Aug 2020 09:47:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kCNfi-0000PL-It
 for 42777 <at> debbugs.gnu.org; Sun, 30 Aug 2020 09:47:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=NXGijT480hqR8pCtWlndy4lAFLl6qmsmiPFAEWlbljA=; b=EqR9rkOBljnOLFjy04zyp3BJ11
 mJGvn1kTn9GSjgR9iKBbcRdEE8H4GmgpBqrcFkBsn3fPgjqlb/mMgatXYYnepOQCdNHqaktaujx4W
 +RD8fsnMEVzhw6LlWLO7HjnM50NERwyW7BuTL8+i9Lr8V4W5BYNoj7hNIzGM8lKkkbqk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kCNfZ-0001Ej-2j; Sun, 30 Aug 2020 15:46:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 <87sgc69zaz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUSDw4qKCc/QT5+
 gHpfX1ysppn///9OVc6wAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+QIHg0pMdz3lNsAAAGISURBVDjL
 lZPJcoMwDIYtwgNILr1jD7l3YrhjEPdMYr//q1TGZGOZTnXBw2dZ+rUo9acB7fyzxloD6YjgWjaN
 T+fCaGuYcbl1jveBh3QqebDLnWSnGG8ZVJUX0KvFpXiCgSRGUyskIgV10cXbOAOPQMYiYNF4Kns4
 C7jMiUimpOWrdU3nXoKEDJIEFBFCbTP9qPIFstVUeZquWyA5KDr16nsFQNItwlSLwpDTfbPWxr7a
 ABRtY7xy4zYeZYwxTNxtQBXjPYxuC5ouBnCuu60AsIvRuHa6rD2Y20GNzq1AObCTdvEawFe8jN0F
 xM1n8OhpEUMxBs3MZhVjCqhNAv7V6LmIlRdnLTH8qiSQOUl3PmcMUB3YBgAeXNaW9gHZ/aehMbQP
 mI7Ap0eavlwkrumVLoAxT5A9snKQSX4+ZempXYZVm0UWNDMARWmKUVG9yAJZwBQTUBYiFZgeenV+
 FaQ0sruyRo8NhuUGzXnhWzFzUrAUntSnLli+lfTXqH8aHvwnPHTR9YGLwV/8Y0JxFkZNUQAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMC0wOC0zMFQxMzo0MTo0OSswMDowMDir/t4AAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjAtMDgtMzBUMTM6NDE6NDkrMDA6MDBJ9kZiAAAAAElFTkSuQmCC
X-Now-Playing: Mega Bog's _Dolphine_: "Diary Of A Rose"
Date: Sun, 30 Aug 2020 15:46:51 +0200
In-Reply-To: <87sgc69zaz.fsf@HIDDEN> (=?utf-8?Q?=22Jo=C3=A3o_T=C3=A1vor?=
 =?utf-8?Q?a=22's?= message of "Fri, 28 Aug 2020 23:32:36 +0100")
Message-ID: <87wo1gs0tw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  João Távora <joaotavora@HIDDEN> writes: >>> In semantic-idle-summary-refresh-echo-area:
    >>> cedet/semantic/idle.el:802:13: Warning: ‘eldoc-message’ is an obsolete
    >>> function (as of eldoc-1.1.0); use >>> ‘eldoc-documentation-function
    [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jo=C3=A3o T=C3=A1vora <joaotavora@HIDDEN> writes:

>>> In semantic-idle-summary-refresh-echo-area:
>>> cedet/semantic/idle.el:802:13: Warning: =E2=80=98eldoc-message=E2=80=99=
 is an obsolete
>>>     function (as of eldoc-1.1.0); use
>>> =E2=80=98eldoc-documentation-functions=E2=80=99 instead.
>>>
>>> I guess this is the result of Jo=C3=A3o's changes in July?  I had a qui=
ck
>>> peek at how to fix it, but it wasn't immediately obvious to me.
>>
>> Copying in Jo=C3=A3o T=C3=A1vora in the hope that the fix will be immedi=
ately
>> obvious to him.
>
> Lars, you want to fix the compilation warning or something else?  The
> function is obsolete, but it leep working.  The only "fix" is to follow
> the advice in the warning message.

If the function is obsolete, all in-tree callers should be fixed.  I'm
not familiar enough with eldoc to do so, though.

> I don't know why this particular compilation warning didn't pop up
> earlier, I don't recall it.

It's been there ever since you obsoleted eldoc-message, of course.  :-)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 28 Aug 2020 22:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 18:32:50 2020
Received: from localhost ([127.0.0.1]:47648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBmvR-0004ov-Qh
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 18:32:50 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:42977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joaotavora@HIDDEN>) id 1kBmvP-0004oh-3j
 for 42777 <at> debbugs.gnu.org; Fri, 28 Aug 2020 18:32:49 -0400
Received: by mail-wr1-f47.google.com with SMTP id c18so505097wrm.9
 for <42777 <at> debbugs.gnu.org>; Fri, 28 Aug 2020 15:32:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=sjWiZLYCpz/tsrwgtnG6vF/nT0rdP8gdk8BrckCHbPE=;
 b=m1BtpyZ5Fi5qwXnPDDA/EYwLpQaAwPTabsii1MZ0t0CoeJzXUzYz/RgCsgeXqQDld3
 NZggMsktTYNFIaPxnB2rIO4fZsFF7IcF/YV8ViP4TmO7AsIafgOp0w96pA3TtAgWnroh
 7amdVGO1/EQsePieBgnYkt/BYlPaYclUMiV1Z56OssdHmVMrPKFhBbUKHLcbxwwpQ5dE
 MTiK4bi/5Xvr4oTzcMH9Fq+3uLkgF6WyWcYCCJAk4lK9sel/MwE4qvI6gPMymGIpP2cX
 /F+zWNdyZuflBBVwX0eMEa9lbgkpL0MU4+YNhopdhUpuSvWQHb/VreV8sXs+tE8iQgVm
 mPNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=sjWiZLYCpz/tsrwgtnG6vF/nT0rdP8gdk8BrckCHbPE=;
 b=tWfxCSk8E4GFhKXuL0+mYWedHhFgWZw0BM23/KOrxtEgqj66AWldBIpS4eSmz3MrrG
 nH9Hkwf2K4ldIt5Q6IvcEIIPDLLAGZ1nwX0amdaw9C7uSQtv8jWmeKubL7ShJojiQnBe
 mvUyS7hMZyRGy45CxOa2dUNTmxoeMGbmAmkMLze8pdRMky0ctX8J0iF20qIzL5zy6kZY
 7RVphnSnf6GdOUgsccyvR1DzF5pJUWtMLplOC0qZ6OxL83cOdakymoSqdHwyogfI4Ojd
 +FVhdPBabTERGhm2P10SuCLO0wQT4j7tKQWn2vi+Qrg9EowI9D9Pm/nuUpLpacgyUdb2
 +Pfg==
X-Gm-Message-State: AOAM531cH6oMd7R0SjRIiQmV1/SBdDYvltJacBMvgAtDWubvO4iWXuKu
 kivee+RPm2+0rTKnZbfYUwBpV7iVlGc=
X-Google-Smtp-Source: ABdhPJwPDWQa23lbRGBqbQgPWaMIlwRb4njp+w4OHSSLc7xJa42BEIQjzJcXhCXIIRQy80X9PBSVYA==
X-Received: by 2002:adf:a106:: with SMTP id o6mr935526wro.1.1598653960950;
 Fri, 28 Aug 2020 15:32:40 -0700 (PDT)
Received: from krug (a83-132-192-71.cpe.netcabo.pt. [83.132.192.71])
 by smtp.gmail.com with ESMTPSA id o9sm1134629wrw.58.2020.08.28.15.32.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 28 Aug 2020 15:32:39 -0700 (PDT)
From: =?utf-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
References: <874kpbetd6.fsf@HIDDEN>
 <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
Date: Fri, 28 Aug 2020 23:32:36 +0100
In-Reply-To: <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
 (Stefan Kangas's message of "Fri, 28 Aug 2020 10:55:39 -0700")
Message-ID: <87sgc69zaz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> In semantic-idle-summary-idle-function:
>> cedet/semantic/idle.el:771:10: Warning: =E2=80=98eldoc-message=E2=80=99 =
is an obsolete
>>     function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-funct=
ions=E2=80=99 instead.
>>
>> In semantic-idle-summary-refresh-echo-area:
>> cedet/semantic/idle.el:802:13: Warning: =E2=80=98eldoc-message=E2=80=99 =
is an obsolete
>>     function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-funct=
ions=E2=80=99 instead.
>>
>> I guess this is the result of Jo=C3=A3o's changes in July?  I had a quick
>> peek at how to fix it, but it wasn't immediately obvious to me.
>
> Copying in Jo=C3=A3o T=C3=A1vora in the hope that the fix will be immedia=
tely
> obvious to him.

Lars, you want to fix the compilation warning or something else?  The
function is obsolete, but it leep working.  The only "fix" is to follow
the advice in the warning message.  I don't know why this particular
compilation warning didn't pop up earlier, I don't recall it.

Jo=C3=A3o




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at 42777 <at> debbugs.gnu.org:


Received: (at 42777) by debbugs.gnu.org; 28 Aug 2020 17:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 13:55:46 2020
Received: from localhost ([127.0.0.1]:47392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBibK-0002DS-Gf
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:55:46 -0400
Received: from mail-yb1-f174.google.com ([209.85.219.174]:36034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kBibJ-0002DG-5z
 for 42777 <at> debbugs.gnu.org; Fri, 28 Aug 2020 13:55:46 -0400
Received: by mail-yb1-f174.google.com with SMTP id 189so78083ybw.3
 for <42777 <at> debbugs.gnu.org>; Fri, 28 Aug 2020 10:55:45 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=IC6PtyXARx7vgwrGwwv5OH/olnzoKSukC9aM51Hv5wg=;
 b=myzbIlME5NgIYvvR5lluTsE3lVeveNePWwwekfMHQyceVbE/aR1tWlxO3Uqd1bT29u
 YTB8B1UOKz66gTGA0Hf/NWGpEPPj5/F5dXhBU/rXFoW/5Dkth8Ay4CDuwUl9eQKpGi9H
 CAfT/irayCu/RUZwGr38BrpVuBeCgojs5kLFpYSqvHhzRUFAmQWJx66rtQLvcKXQARL5
 K1EExgdmdB4BDwD6T3Ol59kIgRm4WzXcb+j2IXVMN6BDqldvR7u/5FBmI9FCPH5WxRuE
 UXRtl/JihzdOhs9wD+aDMDsXmZUrtf4uzoQREFmKxtnNFVmRQe/qib4XZL4dPt8nrExz
 WDFg==
X-Gm-Message-State: AOAM530Zrt5/sg66owwehCtKGrrqJv/bfWnfLgDjCO5P+TVhXm9Kzqjw
 t6kehHTol97kVzQa96bW8lGuu9MZFhR1OLtxfyv0QFoy
X-Google-Smtp-Source: ABdhPJwG8k6EFaUS+o/7yD0ZDvP4iX/5XMCJJKzNlOLPN5CvouI+uPuO2uenSTXoDgCbGy7xDgYqbptv9RlvWY4j38c=
X-Received: by 2002:a5b:508:: with SMTP id o8mr4531942ybp.43.1598637339696;
 Fri, 28 Aug 2020 10:55:39 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 28 Aug 2020 10:55:39 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <874kpbetd6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 09 Aug 2020 17:23:01 +0200")
References: <874kpbetd6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 28 Aug 2020 10:55:39 -0700
Message-ID: <CADwFkmmCYNYZpPuhNGNe4z4qE8G6FWnNuZCEsBUVX9CgVnfgMQ@HIDDEN>
Subject: Re: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42777
Cc: 42777 <at> debbugs.gnu.org,
 =?UTF-8?B?Sm/Do28gVMOhdm9yYQ==?= <joaotavora@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> In semantic-idle-summary-idle-function:
> cedet/semantic/idle.el:771:10: Warning: =E2=80=98eldoc-message=E2=80=99 i=
s an obsolete
>     function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-functi=
ons=E2=80=99 instead.
>
> In semantic-idle-summary-refresh-echo-area:
> cedet/semantic/idle.el:802:13: Warning: =E2=80=98eldoc-message=E2=80=99 i=
s an obsolete
>     function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-functi=
ons=E2=80=99 instead.
>
> I guess this is the result of Jo=C3=A3o's changes in July?  I had a quick
> peek at how to fix it, but it wasn't immediately obvious to me.

Copying in Jo=C3=A3o T=C3=A1vora in the hope that the fix will be immediate=
ly
obvious to him.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Aug 2020 15:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 09 11:23:23 2020
Received: from localhost ([127.0.0.1]:33281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4nAQ-0007kq-TC
	for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 11:23:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:59962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k4nAM-0007kf-4l
 for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 11:23:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56260)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1k4nAL-0000XK-Ve
 for bug-gnu-emacs@HIDDEN; Sun, 09 Aug 2020 11:23:17 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:55218)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1k4nAK-0001RY-9H
 for bug-gnu-emacs@HIDDEN; Sun, 09 Aug 2020 11:23:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:Subject:To:From:Sender:Reply-To:Cc:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=AQCg5Y81SupEPxPmFy7hm58qNxRI1Tm7TKU4IoSSp5U=; b=CYAuo48Vdlv0p/1LxEvBCF9BgU
 71JYvVgepN4E9Vep0KX8AvbhGIKBwCwueHgahdqXQzK6SAxUnzdwTTWHWG2e75x/9c9D2J/Y11vyZ
 CLlplVLmYhP9r8uZKWb6XIUpAyuTI3etfG4F7GIRWvMAqcFKBwbK7aNSp4qoOBR249YE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1k4nA7-0003SQ-3K
 for bug-gnu-emacs@HIDDEN; Sun, 09 Aug 2020 17:23:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Obsolete eldoc-message function used in CEDET
Date: Sun, 09 Aug 2020 17:23:01 +0200
Message-ID: <874kpbetd6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  In semantic-idle-summary-idle-function: cedet/semantic/idle.el:771:10:
    Warning: ‘eldoc-message’ is an obsolete function (as of eldoc-1.1.0);
    use ‘eldoc-documentation-functions’ instead. In semantic-idle-summary-refresh-echo-area:
    cedet/semantic/idle.el:802:13: Warning: ‘eldoc-message’ is an obsolete
    function (as of eldoc-1.1.0); use ‘eldoc-documentation-functions’ instead.
    
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


In semantic-idle-summary-idle-function:
cedet/semantic/idle.el:771:10: Warning: =E2=80=98eldoc-message=E2=80=99 is =
an obsolete
    function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-function=
s=E2=80=99 instead.

In semantic-idle-summary-refresh-echo-area:
cedet/semantic/idle.el:802:13: Warning: =E2=80=98eldoc-message=E2=80=99 is =
an obsolete
    function (as of eldoc-1.1.0); use =E2=80=98eldoc-documentation-function=
s=E2=80=99 instead.

I guess this is the result of Jo=C3=A3o's changes in July?  I had a quick
peek at how to fix it, but it wasn't immediately obvious to me.


In GNU Emacs 28.0.50 (build 51, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, =
cairo version 1.16.0)
 of 2020-08-09 built on xo
Repository revision: 1a845a672dc73c8e98e6cb9bb734616e168e60ba
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid


--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42777; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 1 Sep 2020 19:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.